Ticket #39053

Alterações by Pandaa

Open Date: 2019-03-12 11:39 Last Update: 2019-05-10 05:50

Reporter:
Owner:
Type:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Accepted
File:
2

Details

Alterações para consertar ou melhorar o log de usuários.

Se eu dou "halt(0)" "close" "application.terminate" afins, o sistema UserControl não desloga o PEÃO da tabela de usuários logados, mas se o cara utiliza o recurso do UserControl (logoff) o sistema tira o PEÃO da tabela. Mas, no Logoff inicial, o sistema após remover a tabela de usuarios logados, o mesmo exibe a tela de login. Causa, pelo o pouco que debuguei, parece que o componente se comporta no close, fechando a conexão antes de remover os usuarios da tabela. Resolução paliativa, alterar o código fonte do UserControl, passando um parametro no logoff, se é para ser exibido o login ou não, desta forma usando uc.logoff(false); close; o sistema atendeu a regra de negocio imposta

Trata-se de uma solução paliativa para resolver o problema indicado, mas obriga o desenvolvedor a chamar o método logof com um parametro adicional, ANTES de fechar a aplicação

Ticket History (3/9 Histories)

2019-03-12 11:39 Updated by: derekwildstar
  • New Ticket "Alterações by Pandaa" created
2019-03-12 11:41 Updated by: derekwildstar
  • Resolution Update from None to Accepted
2019-03-12 11:42 Updated by: derekwildstar
  • Details Updated
2019-03-13 05:43 Updated by: derekwildstar
  • Details Updated
2019-03-13 06:03 Updated by: derekwildstar
  • Details Updated
2019-05-10 05:49 Updated by: derekwildstar
  • Status Update from Open to Closed
2019-05-10 05:50 Updated by: derekwildstar
Comment

A resolução foi aceita apenas porque o impacto gerado para sua implementação foi nulo, no entanto, a codificação não resolve o problema relacionado a exclusão dos usuários da tabela de usuários logados. Isso precisa ser investigado com mais calma

Attachment File List

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login